local T = ZZT_ZombieTag

freeslot('sfx_modi', 'sfx_ping', 'sfx_clap', 'MT_TAGBOMB', 'sfx_save', 'sfx_sele', 'MT_YELLOWSPRINGTIMED', "MT_SAVEPOINT", "S_SAVEPOINT1", "S_SAVEPOINT2", "SPR_SVPT", "MT_SKYGEMTP", "S_SKYGEM", "S_SKYGEM_END", "SPR_SKGM", "MT_TAGHAND")

mobjinfo[MT_TAGBOMB] = {           // MT_BOMBSPHERE
	520,            // doomednum
	S_BOMBSPHERE1,  // spawnstate
	1000,           // spawnhealth
	S_NULL,         // seestate
	sfx_None,       // seesound
	MT_NULL,        // reactiontime
	sfx_None,       // attacksound
	S_NULL,         // painstate
	0,              // painchance
	sfx_None,       // painsound
	S_NULL,         // meleestate
	S_NULL,         // missilestate
	S_SONIC3KBOSSEXPLOSION1, // deathstate
	S_NULL,         // xdeathstate
	sfx_cybdth,     // deathsound
	38*FRACUNIT,    // speed
	16*FRACUNIT,    // radius
	24*FRACUNIT,    // height
	0,              // display offset
	100,            // mass
	0,              // damage
	sfx_None,       // activesound
	MF_SPECIAL|MF_NOGRAVITY|MF_NOCLIPHEIGHT|MF_BOUNCE, // flags
	S_NULL          // raisestate
}

mobjinfo[MT_YELLOWSPRINGTIMED] = {
	doomednum = -1,
	spawnstate = mobjinfo[MT_YELLOWSPRING].spawnstate,
	seestate = mobjinfo[MT_YELLOWSPRING].seestate,
	seesound = mobjinfo[MT_YELLOWSPRING].seesound,
	attacksound = mobjinfo[MT_YELLOWSPRING].attacksound,
	painstate = mobjinfo[MT_YELLOWSPRING].painstate,
	painsound = mobjinfo[MT_YELLOWSPRING].painsound,
	meleestate = mobjinfo[MT_YELLOWSPRING].meleestate,
	missilestate = mobjinfo[MT_YELLOWSPRING].missilestate,
	deathstate = mobjinfo[MT_YELLOWSPRING].deathstate,
	xdeathstate = mobjinfo[MT_YELLOWSPRING].xdeathstate,
	deathsound = mobjinfo[MT_YELLOWSPRING].deathsound,
	activesound = mobjinfo[MT_YELLOWSPRING].activesound,
	raisestate = mobjinfo[MT_YELLOWSPRING].raisestate,
	spawnhealth = mobjinfo[MT_YELLOWSPRING].spawnhealth,
	reactiontime = mobjinfo[MT_YELLOWSPRING].reactiontime,
	painchance = mobjinfo[MT_YELLOWSPRING].painchance,
	speed = mobjinfo[MT_YELLOWSPRING].speed,
	radius = mobjinfo[MT_YELLOWSPRING].radius,
	height = mobjinfo[MT_YELLOWSPRING].height,
	dispoffset = mobjinfo[MT_YELLOWSPRING].dispoffset,
	mass = mobjinfo[MT_YELLOWSPRING].mass,
	damage = mobjinfo[MT_YELLOWSPRING].damage,
	flags = mobjinfo[MT_YELLOWSPRING].flags,
}

states[S_SAVEPOINT1] = {
	sprite = SPR_SVPT,
	frame = A,
	tics = 16, 
	nextstate = S_SAVEPOINT2
}

states[S_SAVEPOINT2] = {
	sprite = SPR_SVPT,
	frame = B,
	tics = 16,
	nextstate = S_SAVEPOINT1
}

mobjinfo[MT_SAVEPOINT] = {
    doomednum = -1,
    spawnstate = S_SAVEPOINT1,
    spawnhealth = 1,
    radius = 24*FRACUNIT,
    height = 64*FRACUNIT,
    flags = MF_NOBLOCKMAP|MF_NOCLIP|MF_NOGRAVITY
}

states[S_SKYGEM] = {
	sprite = SPR_SKGM;
	frame = A|FF_FULLBRIGHT;
	tics = 6;
	action = nil;
	var1 = 0;
	var2 = 0;
	nextstate = S_SKYGEM
}

states[S_SKYGEM_END] = {
	sprite = SPR_SKGM;
	frame = A|FF_FULLBRIGHT;
	tics = 1;
	action = A_SkyGemTeleport;
	var1 = 0;
	var2 = 0;
	nextstate = S_NULL
}

mobjinfo[MT_SKYGEMTP] = {
	spawnstate = S_SKYGEM,
	raisestate = nil,
	spawnhealth = 100,
	seesound = nil,
	attacksound = nil,
	height = 25*FRACUNIT,
	radius = 25*FRACUNIT,
	damage = 0,
	speed = 80*FRACUNIT,
	flags = MF_NOBLOCKMAP|MF_MISSILE|MF_NOGRAVITY,
	deathstate = S_SKYGEM_END,
	xdeathstate = S_SKYGEM_END,
	deathsound = nil,
}

mobjinfo[MT_TAGHAND] = {
    doomednum = -1,
    spawnstate = S_INVISIBLE,
    radius = 48*FRACUNIT,
    height = 32*FRACUNIT,
    flags = MF_NOCLIP|MF_NOGRAVITY|MF_NOCLIPHEIGHT|MF_SCENERY
}