local T = ZZT_ZombieTag
--Set emeralds command
--literally just Set Emeralds by flarn2006
COM_AddCommand('setemeralds', function(player, arg, arg2)
	if arg == nil or arg2 ~= nil then
		CONS_Printf(player, 'Usage:')
		CONS_Printf(player, 'setemeralds 0    - Remove all emeralds')
		CONS_Printf(player, 'setemeralds all  - Get all emeralds')
		CONS_Printf(player, 'setemeralds 124  - Get emeralds 1, 2, and 4; remove all others')
		CONS_Printf(player, '(Use the same method for any combination of emeralds.)')
	else
		if arg == 'all' then arg = '1234567' end
		local previous = emeralds
		emeralds = 0
		local bit = 1
		for i=1,7 do
			if string.find(arg, tostring(i)) ~= nil then
				emeralds = $ | bit
			end
			bit = $ * 2
		end
		
	end
	
end, COM_ADMIN)

COM_AddCommand("rings", function(player, amount)
	if not amount then
		print("rings <amount>: give yourself rings")
		return
	end
	

		local N = tonumber(amount)
		if N ~= nil then
			P_GivePlayerRings(player, -9999)
			P_GivePlayerRings(player, N)
			print("A debug command has been used.")
		end

end, COM_ADMIN)

COM_AddCommand("taggerability", function(player, ability)
	if not player or not player.valid then return end
	local id = tonumber(ability)
	local data = T.ZT_Abilities.tagger[id]

	if not data then
		T.printAbilities(player, "tagger")
		return
	end

	player.zzt_storezomability = id
	player.zzt_roleSelect = "tagger"
	player.zzt_abilityIndex = id
	CONS_Printf(player, "\x85Tagger ability set to: "..data.name)
	T.saveAllCommands(player)
end)

COM_AddCommand("runnerability", function(player, ability)
	if not player or not player.valid then return end
	local id = tonumber(ability)
	local data = T.ZT_Abilities.runner[id]

	if not data then
		T.printAbilities(player, "runner")
		return
	end

	player.zzt_storerunability = id
	player.zzt_roleSelect = "runner"
	player.zzt_abilityIndex = id
	CONS_Printf(player, "\x82Runner ability set to: "..data.name)
	T.saveAllCommands(player)
end)