local T = ZZT_ZombieTag
freeslot('sfx_bomb')
T.ZT_Abilities = {
	runner = {
		[1] = { name="Speed Shoes",		desc="Gain speed shoes for a short duration.",	ringCost=30, cooldown=25*TICRATE, func=function(player) T.SpeedShoes(player) end },
		[2] = { name="Invuln",			desc="Grants a short burst of invincibility.",	ringCost=30, cooldown=20*TICRATE, func=function(player) T.Invinsibility(player) end },
		[3] = { name="Ender Pearl",		desc="Throw an ender pearl to teleport.",       ringCost=40, cooldown=60*TICRATE, func=function(player) T.EnderPearl(player) end },
		[4] = { name="Gravity Flip",	desc="Flip gravity but watch out for the sky!", ringCost=30, cooldown=30*TICRATE, func=function(player) T.GravityFlip(player) end },
		[5] = { name="Bubble Pop",		desc="Burst in a random direction!",            ringCost=10, cooldown=20*TICRATE, func=function(player) T.BubblePopLaunch(player) end },
		[6] = { name="Boogie Woogie",	desc="Swap places with the nearest player.",    ringCost=20, cooldown=30*TICRATE, func=function(player) T.SwapPositions(player) end },
		[7] = { name="Save/Load",		desc="Save your location and return to it.",    ringCost=15, cooldown=30*TICRATE, func=function(player) T.SavePoint(player) end },
		[8] = { name="Spring",			desc="Spawn a yellow spring beneath you.",      ringCost=10, cooldown=10*TICRATE, func=function(player) T.SpringPlace(player) end },
		[9] = { name="Panic Button",	desc="Knock back nearby taggers.",				ringCost=25, cooldown=25*TICRATE, func=function(player) T.PanicButton(player) end },
	},
	tagger = {
		[1] = { name="Place Bomb",		desc="Place a bomb on the ground.",             ringCost=5,  cooldown=TICRATE/2,  func=function(player) T.BombPlace(player) end },
		[2] = { name="Throw Bomb",		desc="Throw a bouncy explosive bomb.",          ringCost=5,  cooldown=TICRATE/2,  func=function(player) T.FireRing(player) end },
		[3] = { name="Boost",			desc="Quickly dash forward.",                   ringCost=10, cooldown=10*TICRATE, func=function(player) T.Boost(player) end },
		[4] = { name="No Control",		desc="Freeze runners in place for a moment.",   ringCost=80, cooldown=60*TICRATE, func=function(player) T.NoControl(player) end },
		[5] = { name="Grounded",		desc="Make all runners heavy.",                 ringCost=20, cooldown=20*TICRATE, func=function(player) T.GroundedPower(player) end },
		[6] = { name="Gravity Pull",	desc="Pull nearby players towards you.",		ringCost=30, cooldown=40*TICRATE, func=function(player) T.StartBlackHole(player) end },
	}
}

T.gametypes = {
    [1] = { name = "zombie", 	color = V_GREENMAP },
    [2] = { name = "tag", 		color = V_REDMAP },
    [3] = { name = "freeze", 	color = V_BLUEMAP },
	[4] = { name = "crown",		color = V_YELLOWMAP },
	[5] = { name = "bomb",		color = V_GRAYMAP },
	[6] = { name = "juggernaut",color = V_ORANGEMAP },
}

T.PlayerCustom = {
	blur = "BLUR",
	yumiko = "YUMI",
	coal = "COAL",
	jona = "JONA",
}