local T = ZZT_ZombieTag

T.Invinsibility = function(player)
				player.powers[pw_invulnerability] = 5*TICRATE
				S_StartSound(mo, sfx_cdfm47)
				S_StartSound(mo, sfx_cdfm66, player)
end

T.SpeedShoes = function(player)
				player.powers[pw_sneakers] = 10*TICRATE
				S_StartSound(mo, sfx_cdfm47)
				S_StartSound(mo, sfx_cdfm66, player)
end

T.GravityFlip = function(player)
				player.powers[pw_gravityboots] = 5*TICRATE
				S_StartSound(mo, sfx_cdfm47, player)
				S_StartSound(mo, sfx_cdfm66, player)
end

T.skyCheck = function(player)
    local mo = player.mo
    if not (mo and mo.valid) then return end
    if P_MobjFlip(mo) == -1 then
        local sector = R_PointInSubsector(mo.x, mo.y).sector
        if sector.ceilingpic == "F_SKY1" then
            local topZ = mo.z + mo.height
            local ceilZ = sector.ceilingheight
            if topZ >= ceilZ - FRACUNIT and topZ <= ceilZ + FRACUNIT then
                P_KillMobj(mo, nil, nil)
            end
        end
    end
end