local T = ZZT_ZombieTag

T.SpringPlace = function(player)
local mo = player.mo
				local spring = P_SPMAngle(mo, MT_YELLOWSPRINGTIMED, mo.angle, 0)
				if spring and spring.valid then
					spring.momx = 0
					spring.momy = 0
					S_StartSound(mo, sfx_cdfm47)
					S_StartSound(mo, sfx_cdfm66, player)
				end
end

T.TimedYellowSpring = function(mo)
	-- Only act on our custom yellow spring
	if mo.type ~= MT_YELLOWSPRINGTIMED then return end
	if not mo.timer then
		mo.timer = 0
	end

	mo.timer = $ + 1

	if mo.timer >= 15 * TICRATE then
		P_RemoveMobj(mo)
	end
end