local T = ZZT_ZombieTag

T.FireRing = function(player)
    if not player.mo then return end
    local bomb = P_SpawnMobjFromMobj(player.mo, 0, 0, player.mo.height / 2, MT_TAGBOMB)
    if not bomb then return end

    bomb.target = player.mo
    bomb.angle = player.mo.angle
    bomb.pitch = player.mo.pitch 

    local speed = 24 * FRACUNIT

    local angle = bomb.angle
    local pitch = bomb.pitch
    local horiz_speed = FixedMul(speed, cos(pitch))
    bomb.momx = FixedMul(horiz_speed, cos(angle))
    bomb.momy = FixedMul(horiz_speed, sin(angle))
    bomb.momz = FixedMul(speed, sin(pitch))
end